%-----------------------------------------------------------------
% fill the vector opacity_bio with the opacity caused by POM [1/m]
%-----------------------------------------------------------------
forcing_vector_opacity_bio = zeros(1,kmax);

% water column tracers
% calculate opacity contribution [1/m] as product of
% opacity [m2/mol] * concentration [mol/kg] * water density [kg/m3]
for k=1:kmax
    forcing_vector_opacity_bio(k) = forcing_vector_opacity_bio(k) + ...
        gamma1 * tracer_vector_t_spp(k) * density_water;
    forcing_vector_opacity_bio(k) = forcing_vector_opacity_bio(k) + ...
        gamma1 * tracer_vector_t_lpp(k) * density_water;
    forcing_vector_opacity_bio(k) = forcing_vector_opacity_bio(k) + ...
        gamma1 * tracer_vector_t_cya(k) * density_water;
    forcing_vector_opacity_bio(k) = forcing_vector_opacity_bio(k) + ...
        gamma1 * tracer_vector_t_det(k) * density_water;
end

% surface tracers (only in uppermost cell)
% calculate opacity contribution [1/m] as product of
% opacity [m2/mol] * concentration [mol/m2] / cell height [m]
